# Get all virtual items list

Gets a list of all virtual items for searching on client-side.

  Notice
    Returns only item SKU, name, groups and description.
  
  Note
    This API call returns generic item catalog data when used without
    authorization. Use authorization to retrieve
    personalized
    user data, such as limits and promotions associated with the item.
    To do this, pass the user JWT in the Authorization header.
    For more information about user JWT, see the Security block
    for this call.
  See also: The Get virtual items list  API call for retrieving detailed item data with pagination.

Endpoint: GET /v2/project/{project_id}/items/virtual_items/all
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

## Query parameters:

  - `locale` (string)
    Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

  - `promo_code` (string)
    Unique case sensitive code. Contains letters and numbers.
    Example: "WINTER2021"

## Response 200 fields (application/json):

  - `items` (array)
    Example: [{"sku":"com.xsolla.big_rocket_1","name":"Big Rocket","description":"Big Rocket - description","groups":[{"external_id":"accessory","name":{"en":"accessory"}}]},{"sku":"com.xsolla.shotgun_raider_1","name":"SHOTGUN FOR TRUE RAIDERS","description":"description","groups":[{"external_id":"weapons","name":{"en":"Weapons"}}]},{"sku":"com.xsolla.shotgun_raider_2","name":"SHOTGUN FOR TRUE RAIDERS","description":"description","groups":[]}]

  - `items.sku` (string)
    Unique item ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.
    Example: "com.xsolla.big_rocket_1"

  - `items.name` (string)
    Item name.
    Example: "Big Rocket"

  - `items.groups` (array)

  - `items.description` (string)
    Item description.
    Example: "Big Rocket - description"


